list_add
Prev | Doubly Linked Lists | Next

## Name

list_add — add a new entry

## Synopsis

`void list_add (` | struct list_head * | new,
| struct list_head * | head`)`;

## Arguments

`new`

  new entry to be added

`head`

  list head to add it after

## Description

Insert a new entry after the specified head. This is good for implementing stacks.

Prev | Up | Next
Chapter 2. Data Types | Home | list_add_tail